## luminance-hdr 2.2.1

=== CMakeLists.txt ===
PROJECT(luminance-hdr)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)

# set include path for FindXXX.cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

# Global variable for CMake
INCLUDE(CMakeGlobal.txt)

IF(NOT CMAKE_BUILD_TYPE)
    SET( CMAKE_BUILD_TYPE "RelWithDebInfo" )
ENDIF()

IF(CMAKE_BUILD_TYPE STREQUAL "Release" OR CMAKE_BUILD_TYPE STREQUAL "MinSizeRel")
ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
ENDIF()

# find and setup Qt4 for this project
FIND_PACKAGE(Qt4 REQUIRED COMPONENTS QtCore QtGui QtXml QtWebkit QtSql REQUIRED)

# add Qt modules here, the include will setup QT_LIBRARIES
SET(QT_USE_QTXML TRUE)
SET(QT_USE_QTWEBKIT TRUE)
SET(QT_USE_QTSQL TRUE)

# Include the qtmain lib if we are on the windows platform
IF(WIN32)
#    LINK_LIBRARIES(${QT_QTMAIN_LIBRARY})
    SET(LIBS ${LIBS} ${QT_QTMAIN_LIBRARY})
ENDIF(WIN32)

INCLUDE(${QT_USE_FILE})
ADD_DEFINITIONS(${QT_DEFINITIONS})

set(LIBS ${LIBS} ${QT_QTCORE_LIBRARIES} ${QT_QTGUI_LIBRARIES} ${QT_QTWEBKIT_LIBRARIES} ${QT_QTXML_LIBRARIES} ${QT_QTSQL_LIBRARIES})

FIND_PACKAGE(Git)
#FIND_PACKAGE(Git QUIET)
IF(NOT GIT_FOUND)
	message(STATUS "Git not found")
    FIND_FILE(GIT_EXECUTABLE git.exe 
        $ENV{CYGWIN_DIR}\\bin
        $ENV{CYGWIN_DIR}
    )
    IF (EXISTS ${GIT_EXECUTABLE})
        SET(GIT_FOUND 1)
    ENDIF()
    FIND_FILE(GIT_EXE git
        $ENV{/usr/bin}
    )
    IF (EXISTS ${GIT_EXE})
        SET(GIT_FOUND 1)
    ENDIF()
ENDIF()

IF(GIT_FOUND)
    include(GetGitRevisionDescription)
    get_git_head_revision(GIT_REFSPEC GIT_SHA1)
ENDIF()

IF(WIN32)
# Windows Section
    SET(OPENEXR_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/OpenEXR")
    SET(TIFF_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libtiff")
    SET(LIBRAW_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libraw")
    SET(FFTWF_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/fftw3")
    SET(GSL_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/gsl")
    SET(GSLCBLAS_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/gsl")
    SET(EXIV2_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/exiv2")
		
    IF(MSVC)
        # Enable multi processor compilation
        ADD_DEFINITIONS(/MP)

        # Full optimization
        # Davide: Don't add it by default, let CMake choose the right compilation settings based on CMake profile (Debug, Release, ...)
        #ADD_DEFINITIONS(/Ox)
		
        # Enable OpenMP
        # Davide: Line 150: inclusion of OpenMP, can you check if that works? If it does, you don't need this line
        #ADD_DEFINITIONS(/openmp)

        # Enable SSE2
        # Davide: is it necessary?
        ADD_DEFINITIONS(/arch:SSE2)
		
        ADD_DEFINITIONS(-DUNICODE )
        ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS -DOPENEXR_DLL -D_REENTRANT)
        SET(FFTWF_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/fftw3/libfftw3f-3.lib")
        ADD_DEFINITIONS(-DHAVE_FFTW3F)
		
        SET(OPENEXR_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/Half.lib")
        SET(OPENEXR_LIBRARIES ${OPENEXR_LIBRARIES} "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/Iex.lib")
        SET(OPENEXR_LIBRARIES ${OPENEXR_LIBRARIES} "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/IlmImf.lib")
		
        SET(TIFF_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libtiff/libtiff.lib")
		
        SET(LIBRAW_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libraw/libraw.lib")
		
        SET(GSL_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl/gsl.lib")
        SET(GSLCBLAS_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl/cblas.lib")
		
        SET(EXIV2_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/exiv2/exiv2.lib")
    ELSE()
        SET(OPENEXR_LIBRARIES "-lIlmImf.dll -lHalf.dll -lIex.dll -L${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR")

        SET(TIFF_LIBRARIES "-L../DEPs/lib/libtiff -ltiff")

        SET(LIBRAW_LIBRARIES "-L../DEPs/lib/libraw -lraw_r -lws2_32 -lm")
        ADD_DEFINITIONS(-DLIBRAW_NODLL -D_REENTRANT)

        SET(FFTWF_LIBRARIES "-L${CMAKE_SOURCE_DIR}/../DEPs/lib/fftw3 -lfftw3f-3 -lm")

        SET(GSL_LIBRARIES "-L${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl -lgsl")
        SET(GSLCBLAS_LIBRARIES "-L${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl -lgslcblas")

        SET(EXIV2_LIBRARIES "-lexiv2 -L${CMAKE_SOURCE_DIR}/../DEPs/lib/exiv2")
    ENDIF()
ELSE()

    # Unix & Apple part
    FIND_PACKAGE(OpenEXR REQUIRED)
    FIND_PACKAGE(TIFF REQUIRED)
    FIND_PACKAGE(LibRAW REQUIRED)
    FIND_PACKAGE(fftwf REQUIRED)
    FIND_PACKAGE(GSL REQUIRED)
    FIND_PACKAGE(exiv2 REQUIRED)

ENDIF()


SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${OPENEXR_INCLUDE_DIR} "${OPENEXR_INCLUDE_DIR}/OpenEXR")
SET(LIBS ${LIBS} ${OPENEXR_LIBRARIES})

SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${TIFF_INCLUDE_DIR})
SET(LIBS ${LIBS} ${TIFF_LIBRARIES})

SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${LIBRAW_INCLUDE_DIR} "${LIBRAW_INCLUDE_DIR}/libraw")
SET(LIBS ${LIBS} ${LIBRAW_LIBRARIES})

SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${FFTWF_INCLUDE_DIR})
SET(LIBS ${LIBS} ${FFTWF_LIBRARIES})
ADD_DEFINITIONS(-DHAVE_FFTW3F)

SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${GSL_INCLUDE_DIR} ${GSLCBLAS_INCLUDE_DIR})
SET(LIBS ${LIBS} ${GSL_LIBRARIES} ${GSLCBLAS_LIBRARIES})

SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${EXIV2_INCLUDE_DIR} "${EXIV2_INCLUDE_DIR}/exiv2")
SET(LIBS ${LIBS} ${EXIV2_LIBRARIES})

#OpenMP Support under Linux, Windows with MSVC & MacOS X with GCC >= 4.3
IF(MSVC)
    FIND_PACKAGE(OpenMP REQUIRED)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
ELSEIF(CMAKE_COMPILER_IS_GNUCC AND UNIX)
    EXECUTE_PROCESS(COMMAND ${CMAKE_C_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
    #MESSAGE(STATUS ${GCC_VERSION})
    IF(GCC_VERSION VERSION_GREATER 4.3 OR GCC_VERSION VERSION_EQUAL 4.3)
        MESSAGE(STATUS "GCC >= 4.3")
        FIND_PACKAGE(OpenMP REQUIRED)
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    ENDIF()
ENDIF()
# END OpenMP Support

INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/src/" ${INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

SET(LUMINANCE_HDR_H )
SET(LUMINANCE_HDR_SRC )

IF(MSVC)
    SET(LUMINANCE_HDR_H ${LUMINANCE_HDR_H} src/arch/msvc/getopt_win32.h)
    SET(LUMINANCE_HDR_CPP ${LUMINANCE_HDR_CPP} src/arch/msvc/getopt_win32.c)
ENDIF()

SET(LUMINANCE_HDR_H ${LUMINANCE_HDR_H}
    src/arch/math.h
    src/arch/malloc.h
    src/arch/minmax.h
    src/arch/string.h
    src/arch/freebsd/math.h
    src/arch/msvc/math.h
)

SET(LUMINANCE_HDR_RCCS icons.qrc)
QT4_ADD_RESOURCES(LUMINANCE_HDR_RCCS_SRCS ${LUMINANCE_HDR_RCCS})

ADD_SUBDIRECTORY(src)

# translations
FILE(GLOB LUMINANCE_TS i18n/*.ts)

IF(UPDATE_TRANSLATIONS)
    IF(LUPDATE_NOOBSOLETE)
        QT4_CREATE_TRANSLATION(LUMINANCE_QM ${FILES_TO_TRANSLATE} ${LUMINANCE_TS} OPTIONS -noobsolete)
    ELSE()
        QT4_CREATE_TRANSLATION(LUMINANCE_QM ${FILES_TO_TRANSLATE} ${LUMINANCE_TS})
    ENDIF()
ELSE(UPDATE_TRANSLATIONS)
    QT4_ADD_TRANSLATION(LUMINANCE_QM ${LUMINANCE_TS})
ENDIF(UPDATE_TRANSLATIONS)

ADD_CUSTOM_TARGET(translations_target DEPENDS ${LUMINANCE_QM})

SET(LUMINANCE_FILES
    ${LUMINANCE_HDR_H}
    ${LUMINANCE_HDR_CPP}
    ${LUMINANCE_HDR_RCCS_SRCS}
    ${LUMINANCE_QM})

# Apple Mac OS X
IF(APPLE)
    # icon files to copy in the bundle
    SET( OSX_ICON_FILES "${CMAKE_SOURCE_DIR}/images/luminance.icns")
    # set where in the bundle to put the icns files
    SET_SOURCE_FILES_PROPERTIES(${OSX_ICON_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    # set where in the bundle to put the translation files
    SET_SOURCE_FILES_PROPERTIES(${LUMINANCE_QM} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/i18n)
    # include the icns files in the target
    SET(LUMINANCE_FILES ${LUMINANCE_FILES} ${OSX_ICON_FILES})

    SET( PROGNAME luminance-hdr )
    SET( MACOSX_BUNDLE_ICON_FILE "${CMAKE_SOURCE_DIR}/images/luminance.icns" )
    #SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.7-beta2 )
    #SET( MACOSX_BUNDLE_VERSION 0.7-beta2 )
    #SET( MACOSX_BUNDLE_LONG_VERSION_STRING Version 0.7-beta2 )
    #SET( CMAKE_OSX_ARCHITECTURES x86_64;i386 )  # Universal build

    ADD_EXECUTABLE(luminance-hdr MACOSX_BUNDLE ${LUMINANCE_FILES})
    ADD_EXECUTABLE(luminance-hdr-cli ${LUMINANCE_FILES})
  
    SET_TARGET_PROPERTIES(luminance-hdr PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_SOURCE_DIR}/build/macosx/Info.plist")
# Unix
ELSEIF(UNIX)

    ADD_EXECUTABLE(luminance-hdr ${LUMINANCE_FILES})
    ADD_EXECUTABLE(luminance-hdr-cli ${LUMINANCE_FILES})

    # make install directivies
    INSTALL(TARGETS luminance-hdr RUNTIME DESTINATION bin) # main GUI exec
    INSTALL(TARGETS luminance-hdr-cli RUNTIME DESTINATION bin) # main CLI exec
    INSTALL(FILES ${LUMINANCE_QM} DESTINATION share/luminance-hdr/i18n) # i18n
    INSTALL(FILES ${CMAKE_SOURCE_DIR}/images/luminance-hdr.png DESTINATION share/icons/hicolor/48x48/apps) # icon
    INSTALL(FILES ${CMAKE_SOURCE_DIR}/luminance-hdr.desktop DESTINATION share/applications) #desktop entry
    INSTALL(FILES
    ${CMAKE_SOURCE_DIR}/AUTHORS
    ${CMAKE_SOURCE_DIR}/README
    ${CMAKE_SOURCE_DIR}/LICENSE
    ${CMAKE_SOURCE_DIR}/Changelog
    DESTINATION share/luminance-hdr) #info files
    INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/help DESTINATION share/luminance-hdr) # help directory
# Microsoft Windows
ELSEIF(WIN32)
    # icon files to copy in the bundle
    SET(LUMINANCE_FILES ${LUMINANCE_FILES} "${CMAKE_SOURCE_DIR}/images/luminance_ico.rc")

    # Subsystem console:
    ADD_EXECUTABLE(luminance-hdr WIN32 ${LUMINANCE_FILES})
    ADD_EXECUTABLE(luminance-hdr-cli ${LUMINANCE_FILES})
  
    # copies all necessary Qt dlls from the Qt binary dir to the output folder
    SET(QT_RELEASE_DLLS
        phonon4.dll
        QtCore4.dll
        QtGui4.dll
        QtMultimedia4.dll
        QtNetwork4.dll
        QtSql4.dll
        QtWebKit4.dll
        QtXml4.dll
        QtXmlPatterns4.dll
    )
    FOREACH(dll ${QT_RELEASE_DLLS})
        FILE(COPY "${QT_BINARY_DIR}/${dll}" DESTINATION "${CMAKE_BINARY_DIR}/QtDlls/Release")
        STRING(REPLACE "4" "d4" debugdll ${dll})
        FILE(COPY "${QT_BINARY_DIR}/${debugdll}" DESTINATION "${CMAKE_BINARY_DIR}/QtDlls/Debug")
    ENDFOREACH()
    
    FILE(COPY "${QT_PLUGINS_DIR}/imageformats/qjpeg4.dll" DESTINATION "${CMAKE_BINARY_DIR}/QtDlls/Release/imageformats")
    FILE(COPY "${QT_PLUGINS_DIR}/imageformats/qjpegd4.dll" DESTINATION "${CMAKE_BINARY_DIR}/QtDlls/Debug/imageformats")
    FILE(COPY "${QT_PLUGINS_DIR}/sqldrivers/qsqlite4.dll" DESTINATION "${CMAKE_BINARY_DIR}/QtDlls/Release/sqldrivers")
    FILE(COPY "${QT_PLUGINS_DIR}/sqldrivers/qsqlited4.dll" DESTINATION "${CMAKE_BINARY_DIR}/QtDlls/Debug/sqldrivers")

    FILE(GLOB QtI18nAll "${QT_TRANSLATIONS_DIR}/qt_*.qm")
    FILE(GLOB QtI18nHelp "${QT_TRANSLATIONS_DIR}/qt_help_*.qm")
    LIST(LENGTH QtI18nHelp QtI18nHelp_length)
    IF(${QtI18nHelp_length} GREATER 0)
        LIST(REMOVE_ITEM QtI18nAll ${QtI18nHelp})
    ENDIF()
    
    FILE(COPY ${QtI18nAll} DESTINATION "${CMAKE_BINARY_DIR}/QtDlls/i18n/")
ENDIF()

# Link sub modules
IF(MSVC OR APPLE)
    TARGET_LINK_LIBRARIES(luminance-hdr ${LUMINANCE_MODULES_GUI})
    TARGET_LINK_LIBRARIES(luminance-hdr-cli ${LUMINANCE_MODULES_CLI})
ELSE()
    TARGET_LINK_LIBRARIES(luminance-hdr -Xlinker --start-group ${LUMINANCE_MODULES_GUI} -Xlinker --end-group)
    TARGET_LINK_LIBRARIES(luminance-hdr-cli -Xlinker --start-group ${LUMINANCE_MODULES_CLI} -Xlinker --end-group)
ENDIF()
# Link shared library
TARGET_LINK_LIBRARIES(luminance-hdr ${LIBS})
TARGET_LINK_LIBRARIES(luminance-hdr-cli ${LIBS})

=== src/CMakeLists.txt ===
#ADD_SUBDIRECTORY(arch)
ADD_SUBDIRECTORY(MainWindow)

# Gui specific and main entry point
ADD_SUBDIRECTORY(MainGui)
# CLI specific and main entry point
ADD_SUBDIRECTORY(MainCli)

ADD_SUBDIRECTORY(PreviewPanel)
ADD_SUBDIRECTORY(Common)
ADD_SUBDIRECTORY(BatchHDR)
ADD_SUBDIRECTORY(BatchTM)
ADD_SUBDIRECTORY(Core)
ADD_SUBDIRECTORY(Exif)
ADD_SUBDIRECTORY(Fileformat)
ADD_SUBDIRECTORY(Filter)
ADD_SUBDIRECTORY(HdrCreation)
ADD_SUBDIRECTORY(HdrWizard)
ADD_SUBDIRECTORY(HelpBrowser)
ADD_SUBDIRECTORY(Libpfs)
ADD_SUBDIRECTORY(Preferences)
ADD_SUBDIRECTORY(Projection)
ADD_SUBDIRECTORY(Resize)
ADD_SUBDIRECTORY(Threads)
ADD_SUBDIRECTORY(TonemappingEngine)
ADD_SUBDIRECTORY(TonemappingOperators)
ADD_SUBDIRECTORY(TonemappingPanel)
ADD_SUBDIRECTORY(TransplantExif)
ADD_SUBDIRECTORY(UI)
ADD_SUBDIRECTORY(Viewers)


# They need to stay at the bottom of this file!
SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} PARENT_SCOPE)

=== src/Common/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/GitSHA1.cpp.in ${CMAKE_CURRENT_BINARY_DIR}/GitSHA1.cpp @ONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/global.hxx.in ${CMAKE_CURRENT_BINARY_DIR}/global.hxx @ONLY)

#SET(FILES_UI )
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/ProgressHelper.h
${CMAKE_CURRENT_SOURCE_DIR}/LuminanceOptions.h)
SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/archs.h
${CMAKE_CURRENT_SOURCE_DIR}/config.h
${CMAKE_CURRENT_SOURCE_DIR}/msec_timer.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/global.cpp
${CMAKE_CURRENT_SOURCE_DIR}/LuminanceOptions.cpp
${CMAKE_CURRENT_SOURCE_DIR}/msec_timer.cpp
${CMAKE_CURRENT_SOURCE_DIR}/ProgressHelper.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
#QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(common ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}
${CMAKE_CURRENT_BINARY_DIR}/global.hxx
${CMAKE_CURRENT_BINARY_DIR}/GitSHA1.cpp)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} ${FILES_HXX} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} common PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} common PARENT_SCOPE)

=== src/Fileformat/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/pfstiff.h)
SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/pfs_file_format.h
${CMAKE_CURRENT_SOURCE_DIR}/pfsinraw.h
${CMAKE_CURRENT_SOURCE_DIR}/pfsout16bitspixmap.h
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.h
${CMAKE_CURRENT_SOURCE_DIR}/rgbeio.h
)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/rgbeio.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfstiff.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutrgbe.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsinrgbe.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsout16bitspixmap.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsinraw.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsinexr.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutexr.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
# QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(fileformat ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} fileformat PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} fileformat PARENT_SCOPE)

=== src/HelpBrowser/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/HelpBrowser.ui
${CMAKE_CURRENT_SOURCE_DIR}/HelpSideBar.ui)
SET(FILES_H # to go into MOC
${CMAKE_CURRENT_SOURCE_DIR}/helpbrowser.h
${CMAKE_CURRENT_SOURCE_DIR}/HelpSideBar.h
${CMAKE_CURRENT_SOURCE_DIR}/sctextbrowser.h)
SET(FILES_HXX # NOT to go into MOC
${CMAKE_CURRENT_SOURCE_DIR}/LuminancePaths.h
${CMAKE_CURRENT_SOURCE_DIR}/schelptreemodel.h
${CMAKE_CURRENT_SOURCE_DIR}/treeitem.h
${CMAKE_CURRENT_SOURCE_DIR}/treemodel.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/helpbrowser.cpp
${CMAKE_CURRENT_SOURCE_DIR}/HelpSideBar.cpp
${CMAKE_CURRENT_SOURCE_DIR}/LuminancePaths.cpp
${CMAKE_CURRENT_SOURCE_DIR}/schelptreemodel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/sctextbrowser.cpp
${CMAKE_CURRENT_SOURCE_DIR}/treeitem.cpp
${CMAKE_CURRENT_SOURCE_DIR}/treemodel.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(helpbrowser ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H} ${FILES_HXX})

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} ${FILES_HXX} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} helpbrowser PARENT_SCOPE)

=== src/MainCli/CMakeLists.txt ===

SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/commandline.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/commandline.cpp
${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)

QT4_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(main_cli ${FILES_H} ${FILES_CPP} ${FILES_MOC})

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} main_cli PARENT_SCOPE)

=== src/TonemappingPanel/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/SavedParametersDialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/SavingParametersDialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingPanel.ui
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingWarnDialog.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/SavedParametersDialog.h
${CMAKE_CURRENT_SOURCE_DIR}/SavingParametersDialog.h
${CMAKE_CURRENT_SOURCE_DIR}/TMOProgressIndicator.h
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingPanel.h
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingWarnDialog.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/SavedParametersDialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/SavingParametersDialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TMOProgressIndicator.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingPanel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingWarnDialog.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(tonemappingpanel ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} tonemappingpanel PARENT_SCOPE)

=== debian/changelog ===
luminance-hdr (2.2.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Jun 2012 08:22:02 +0200

luminance-hdr (2.2.1-2) experimental; urgency=low

  [ Leonardo Montecchi ]
  * Added patch from upstream code, fixes compilation on non-x86
    architectures:
     - 30_fix_build_non_x86
     
 -- Andreas Metzler <ametzler@debian.org>  Fri, 25 May 2012 20:13:41 +0200

luminance-hdr (2.2.1-1) experimental; urgency=low

  * Team upload.
  * Switch to new upstream name luminance-hdr. Closes: #622240,#563401
    (LP: #649647)
  * Use 3.0 (quilt) format.
  * Drop patches which do not apply (20_gcc4.3_includes
    30_fix_documentation_search_path 40_fix_desktop_file_icon 50_disable_opts
    60_fix_segfault_536666), update 10_remove_encoding_from_desktop_file.
  * Update build-depends, adding cmake (>= 2.6.0), libqtwebkit-dev,
    libraw-dev, libgsl0-dev.
  * [20_usrsharedoc.diff] install to and search for docs in
    /usr/share/doc/luminance-hdr instead if /usr/share/luminance-hdr. Strip
    down debian/rules, this is now basically vanilla cmake.
  * Provide empty qtpfsgui transitional package to faciliate automatic
    upgrades.
  * Use dh v9 level.
  * Enable building with bindnow and -Wl,--as-needed.
  * Add dependency on libqt4-sql-sqlite.
  * Do not ship unused jquery copy.
  * Register manual with doc-base.
  * Adopt package. Closes: #646315

 -- Andreas Metzler <ametzler@debian.org>  Mon, 14 May 2012 20:23:46 +0200

qtpfsgui (1.9.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixing segmentation fault when saving a HDR image (closes: #536666).

 -- Giovanni Mascellani <gio@debian.org>  Mon, 30 Aug 2010 23:08:43 +0200

qtpfsgui (1.9.3-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * New upstream release (Closes: #530766).
  * debian/copyright:
     - Update accordingly.
  * debian/patches:
     - Get rid of timestamps.
  * Merge changes from experimental.
  * Update my address in the manpage too.
  * ACK the following patches by fabo, thanks!
  * Add dcraw to Depends, since this tool is needed, although not
    mentioned as a dependency in the upstream docs. Thanks to fabo
    again.
  * Add patch to disable some (new) default optimisations: openmp and
    sse2, because I'm not sure they are available on all platforms:
     - 50_disable_opts
  * debian/control:
     - Update Standards-Version from 3.8.0 to 3.8.1 (no changes needed).
  * Switch from cdbs to plain debhelper:
     - Update compat from 5 to 7.
     - B-D to debhelper (>= 7.0.50) to be able to use overrides.
     - Use debian/docs and debian/manpages to control dh_* accordingly.
     - Rework debian/rules.
     - Drop cdbs from B-D.

  [ Fathi Boudra ]
  * Add patch to fix documentation search path on Debian system:
     - 30_fix_documentation_search_path
  * Add patch to fix desktop file icon (Closes: #509305):
     - 40_fix_desktop_file_icon

 -- Cyril Brulebois <kibi@debian.org>  Sun, 07 Jun 2009 13:35:47 +0200

qtpfsgui (1.9.2-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright:
     - Update accordingly.
     - Update my mail address, copyright years.
  * debian/control:
     - Update my mail address.
     - Bump Standards-Version from 3.7.3 to 3.8.0 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 01 Dec 2008 04:32:14 +0100

qtpfsgui (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * Drop merged-upstream (or cherrypicked-from-upstream) patches:
     - 30_align_image_stack_prefix.
     - 40_fix_exiv2_encoding_support.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri, 07 Mar 2008 23:23:55 +0100

qtpfsgui (1.9.0-3) unstable; urgency=low

  * Add patch to fix encoding troubles with operations on exiv2 data,
    cherry-picked from upstream, revision 262 (Closes: #460718):
     - 40_fix_exiv2_encoding_support.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 05 Feb 2008 22:01:58 +0100

qtpfsgui (1.9.0-2) unstable; urgency=low

  * Special thanks to Julien Valroff, who reported the following bugs,
    along with some patches.
  * Added patch to allow the use of Hugin's align_image_stack again; its
    inclusion is pending upstream (Closes: #460716):
     - 30_align_image_stack_prefix.
  * Fix the link to embedded documentation: qtpfsgui/doc -> doc/qtpfsgui
    (Closes: #460944).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sat, 26 Jan 2008 14:27:52 +0100

qtpfsgui (1.9.0-1) unstable; urgency=low

  * New upstream release.
  * Replace “COPYING” with “LICENSE” in the NOT_NEEDED variable of
    debian/rules, following upstream's renaming.
  * Update debian/links accordingly.
  * Delete the matching TODO item since there's no longer needed to have a
    patched (with HTML tags) license file to get a correct display in the
    “License agreement” tab.
  * Update the gcc4.3 patch (drop the hunk touching src/Libpfs/pfs.cpp):
     - 20_gcc4.3_includes.
  * Add a link from /usr/share/qtpfsgui/html to the HTML documentation
    under /usr/share/doc/qtpfsgui/html since the former is used at runtime
    to display the manual.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sun, 06 Jan 2008 04:39:36 +0100

qtpfsgui (1.8.12-2) unstable; urgency=low

  * Move maintenance to pkg-phototools now that the team has been created
    on alioth: Maintainer set to the team, put myself in Uploaders.
  * Update Vcs-* accordingly.
  * Add a “lrelease-qt4” call in the “makebuilddir” target, so that
    localization files get built, and then later installed. Delete the
    generated files in the “clean” target. Use a stamp file to avoid
    double-run.
  * No longer “rmdir” the /usr/share/qtpfsgui directory since it is no
    longer empty.
  * Add a link (through debian/links) from /usr/share/qtpfsgui/COPYING to
    GPL-2 in common-licenses, since it is used in the “License agreement”
    tab. Add a TODO item accordingly (upstream uses HTML <pre> tags to
    format it).


=== debian/control ===
Source: luminance-hdr
Section: graphics
Priority: extra
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,
 Leonardo Montecchi <lmontecchi@montex.org>
Build-Depends: debhelper (>= 9), libqt4-dev, libexiv2-dev, libfftw3-dev,
 libopenexr-dev, libtiff4-dev, cmake (>= 2.6.0), libqtwebkit-dev, libraw-dev,
 libgsl0-dev
Standards-Version: 3.9.3
Homepage: http://qtpfsgui.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=pkg-phototools/luminance-hdr.git
Vcs-Git: git://git.debian.org/git/pkg-phototools/luminance-hdr.git

Package: luminance-hdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dcraw, libqt4-sql-sqlite
Description: graphical user interface providing a workflow for HDR imaging
 Features:
  * Create an HDR file from a set of images (formats: JPEG, TIFF 8bit and
    16bit, RAW) of the same scene taken at different exposure setting.
  * Save and load HDR images.
  * Rotate and resize HDR images.
  * Tonemap HDR images.
  * Copy exif data between sets of images.
 .
 Supported HDR formats:
  * OpenEXR (extension: exr).
  * Radiance RGBE (extension: hdr).
  * Tiff formats: 16bit, 32bit (float) and LogLuv (extension: tiff).
  * Raw image formats (extension: various).
  * PFS native format (extension: pfs).
 .
 Supported LDR formats: JPEG, PNG, PPM, PBM, TIFF (8 bit).

Package: qtpfsgui
Architecture: all
Depends: luminance-hdr, ${misc:Depends}
Section: oldlibs
Description: luminance-hdr transitional package
 Empty package to facilitate upgrades, can be safely removed.

## luminance-hdr 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,10 +8,12 @@
 INCLUDE(CMakeGlobal.txt)
 
 IF(NOT CMAKE_BUILD_TYPE)
-    SET( CMAKE_BUILD_TYPE "RelWithDebInfo" )
-ENDIF()
-
-IF(CMAKE_BUILD_TYPE STREQUAL "Release" OR CMAKE_BUILD_TYPE STREQUAL "MinSizeRel")
+    SET(CMAKE_BUILD_TYPE "RelWithDebInfo" )
+ENDIF()
+
+# MESSAGE(${CMAKE_BUILD_TYPE})
+
+IF(${CMAKE_BUILD_TYPE} STREQUAL "Release" OR ${CMAKE_BUILD_TYPE} STREQUAL "MinSizeRel")
 ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
 ENDIF()
 
@@ -37,7 +39,6 @@
 FIND_PACKAGE(Git)
 #FIND_PACKAGE(Git QUIET)
 IF(NOT GIT_FOUND)
-	message(STATUS "Git not found")
     FIND_FILE(GIT_EXECUTABLE git.exe 
         $ENV{CYGWIN_DIR}\\bin
         $ENV{CYGWIN_DIR}
@@ -45,21 +46,19 @@
     IF (EXISTS ${GIT_EXECUTABLE})
         SET(GIT_FOUND 1)
     ENDIF()
-    FIND_FILE(GIT_EXE git
-        $ENV{/usr/bin}
-    )
-    IF (EXISTS ${GIT_EXE})
-        SET(GIT_FOUND 1)
-    ENDIF()
 ENDIF()
 
 IF(GIT_FOUND)
     include(GetGitRevisionDescription)
     get_git_head_revision(GIT_REFSPEC GIT_SHA1)
+    message(STATUS "Git found")
+ELSE()
+    message(STATUS "Git not found")
 ENDIF()
 
 IF(WIN32)
-# Windows Section
+    # Windows Section
+    
     SET(OPENEXR_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/OpenEXR")
     SET(TIFF_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libtiff")
     SET(LIBRAW_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libraw")
@@ -67,55 +66,45 @@
     SET(GSL_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/gsl")
     SET(GSLCBLAS_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/gsl")
     SET(EXIV2_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/exiv2")
-		
-    IF(MSVC)
-        # Enable multi processor compilation
-        ADD_DEFINITIONS(/MP)
-
-        # Full optimization
-        # Davide: Don't add it by default, let CMake choose the right compilation settings based on CMake profile (Debug, Release, ...)
-        #ADD_DEFINITIONS(/Ox)
-		
-        # Enable OpenMP
-        # Davide: Line 150: inclusion of OpenMP, can you check if that works? If it does, you don't need this line
-        #ADD_DEFINITIONS(/openmp)
-
-        # Enable SSE2
-        # Davide: is it necessary?
-        ADD_DEFINITIONS(/arch:SSE2)
-		
-        ADD_DEFINITIONS(-DUNICODE )
-        ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS -DOPENEXR_DLL -D_REENTRANT)
-        SET(FFTWF_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/fftw3/libfftw3f-3.lib")
-        ADD_DEFINITIONS(-DHAVE_FFTW3F)
-		
-        SET(OPENEXR_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/Half.lib")
-        SET(OPENEXR_LIBRARIES ${OPENEXR_LIBRARIES} "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/Iex.lib")
-        SET(OPENEXR_LIBRARIES ${OPENEXR_LIBRARIES} "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/IlmImf.lib")
-		
-        SET(TIFF_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libtiff/libtiff.lib")
-		
-        SET(LIBRAW_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libraw/libraw.lib")
-		
-        SET(GSL_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl/gsl.lib")
-        SET(GSLCBLAS_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl/cblas.lib")
-		
-        SET(EXIV2_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/exiv2/exiv2.lib")
-    ELSE()
-        SET(OPENEXR_LIBRARIES "-lIlmImf.dll -lHalf.dll -lIex.dll -L${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR")
-
-        SET(TIFF_LIBRARIES "-L../DEPs/lib/libtiff -ltiff")
-
-        SET(LIBRAW_LIBRARIES "-L../DEPs/lib/libraw -lraw_r -lws2_32 -lm")
-        ADD_DEFINITIONS(-DLIBRAW_NODLL -D_REENTRANT)
-
-        SET(FFTWF_LIBRARIES "-L${CMAKE_SOURCE_DIR}/../DEPs/lib/fftw3 -lfftw3f-3 -lm")
-
-        SET(GSL_LIBRARIES "-L${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl -lgsl")
-        SET(GSLCBLAS_LIBRARIES "-L${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl -lgslcblas")
-
-        SET(EXIV2_LIBRARIES "-lexiv2 -L${CMAKE_SOURCE_DIR}/../DEPs/lib/exiv2")
-    ENDIF()
+    SET(LCMS2_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/lcms2")
+    SET(JPEGLIB_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libjpeg")
+    SET(LIBPNG_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libpng")
+	
+    # Enable multi processor compilation
+    ADD_DEFINITIONS(/MP)
+
+    # Enable SSE2
+    ADD_DEFINITIONS(/arch:SSE2)
+
+    # Don't "Treat WChar_t As Build in Type", in order to be able to use Qts (from|to)StdWString functions
+    ADD_DEFINITIONS(/Zc:wchar_t-)
+	
+    ADD_DEFINITIONS(-DUNICODE )
+    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS -DOPENEXR_DLL -D_REENTRANT)
+    SET(FFTWF_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/fftw3/libfftw3f-3.lib")
+    ADD_DEFINITIONS(-DHAVE_FFTW3F)
+	
+    SET(OPENEXR_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/Half.lib")
+    SET(OPENEXR_LIBRARIES ${OPENEXR_LIBRARIES} "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/Iex.lib")
+    SET(OPENEXR_LIBRARIES ${OPENEXR_LIBRARIES} "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/IlmImf.lib")
+	
+    SET(TIFF_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libtiff/libtiff.lib")
+	
+    SET(LIBRAW_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libraw/libraw.lib")
+	
+    SET(GSL_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl/gsl.lib")
+    SET(GSLCBLAS_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl/cblas.lib")
+	
+    SET(EXIV2_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/exiv2/exiv2.lib")
+    #SET(LCMS2_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/lcms2/lcms2.lib")
+    #SET(LCMS_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/lcms2/lcms.lib")
+    SET(LCMS2_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/lcms2/lcms2_dll.lib")
+    #ADD_DEFINITIONS(-DLCMS_DLL)
+    ADD_DEFINITIONS(-DCMS_DLL)
+    ADD_DEFINITIONS(-DUSE_LCMS2)
+    
+    SET(LIBPNG_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libpng/libpng.lib")
+    
 ELSE()
 
     # Unix & Apple part
@@ -125,6 +114,9 @@
     FIND_PACKAGE(fftwf REQUIRED)
     FIND_PACKAGE(GSL REQUIRED)
     FIND_PACKAGE(exiv2 REQUIRED)
+    FIND_PACKAGE(libjpeg REQUIRED)
+    FIND_PACKAGE(lcms2 REQUIRED)
+    FIND_PACKAGE(libpng REQUIRED)
 
 ENDIF()
 
@@ -147,6 +139,15 @@
 
 SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${EXIV2_INCLUDE_DIR} "${EXIV2_INCLUDE_DIR}/exiv2")
 SET(LIBS ${LIBS} ${EXIV2_LIBRARIES})
+
+SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${JPEGLIB_INCLUDE_DIR})
+SET(LIBS ${LIBS} ${JPEGLIB_LIBRARIES})
+
+SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${LCMS2_INCLUDE_DIR})
+SET(LIBS ${LIBS} ${LCMS2_LIBRARIES})
+
+SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${LIBPNG_INCLUDE_DIR})
+SET(LIBS ${LIBS} ${LIBPNG_LIBRARIES})
 
 #OpenMP Support under Linux, Windows with MSVC & MacOS X with GCC >= 4.3
 IF(MSVC)
@@ -213,12 +214,17 @@
 
 # Apple Mac OS X
 IF(APPLE)
+    FILE(GLOB LUMINANCE_QT_QM i18n-qt/*.qm) # ${QT_TRANSLATIONS_DIR}/qt_*.qm)
+    SET(LUMINANCE_FILES ${LUMINANCE_FILES} ${LUMINANCE_QT_QM})
+
     # icon files to copy in the bundle
     SET( OSX_ICON_FILES "${CMAKE_SOURCE_DIR}/images/luminance.icns")
     # set where in the bundle to put the icns files
     SET_SOURCE_FILES_PROPERTIES(${OSX_ICON_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
     # set where in the bundle to put the translation files
     SET_SOURCE_FILES_PROPERTIES(${LUMINANCE_QM} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/i18n)
+    SET_SOURCE_FILES_PROPERTIES(${LUMINANCE_QT_QM} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/i18n)
+
     # include the icns files in the target
     SET(LUMINANCE_FILES ${LUMINANCE_FILES} ${OSX_ICON_FILES})
 
@@ -235,6 +241,8 @@
     SET_TARGET_PROPERTIES(luminance-hdr PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_SOURCE_DIR}/build/macosx/Info.plist")
 # Unix
 ELSEIF(UNIX)
+    FILE(GLOB LUMINANCE_QT_QM i18n-qt/*.qm)
+    SET(LUMINANCE_FILES ${LUMINANCE_FILES} ${LUMINANCE_QT_QM})
 
     ADD_EXECUTABLE(luminance-hdr ${LUMINANCE_FILES})
     ADD_EXECUTABLE(luminance-hdr-cli ${LUMINANCE_FILES})
@@ -243,6 +251,8 @@
     INSTALL(TARGETS luminance-hdr RUNTIME DESTINATION bin) # main GUI exec
     INSTALL(TARGETS luminance-hdr-cli RUNTIME DESTINATION bin) # main CLI exec
     INSTALL(FILES ${LUMINANCE_QM} DESTINATION share/luminance-hdr/i18n) # i18n
+    INSTALL(FILES ${LUMINANCE_QT_QM} DESTINATION share/luminance-hdr/i18n) # i18n
+
     INSTALL(FILES ${CMAKE_SOURCE_DIR}/images/luminance-hdr.png DESTINATION share/icons/hicolor/48x48/apps) # icon
     INSTALL(FILES ${CMAKE_SOURCE_DIR}/luminance-hdr.desktop DESTINATION share/applications) #desktop entry
     INSTALL(FILES

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 ADD_SUBDIRECTORY(PreviewPanel)
 ADD_SUBDIRECTORY(Common)
+ADD_SUBDIRECTORY(OsIntegration)
 ADD_SUBDIRECTORY(BatchHDR)
 ADD_SUBDIRECTORY(BatchTM)
 ADD_SUBDIRECTORY(Core)

=== src/BatchHDR/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/BatchHDRDialog.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/BatchHDRDialog.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/BatchHDRDialog.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(batchhdr ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} batchhdr PARENT_SCOPE)

=== src/BatchTM/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMDialog.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMDialog.h
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMJob.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMDialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMJob.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(batchtm ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} batchtm PARENT_SCOPE)

=== src/Common/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/GitSHA1.cpp.in ${CMAKE_CURRENT_BINARY_DIR}/GitSHA1.cpp @ONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/global.hxx.in ${CMAKE_CURRENT_BINARY_DIR}/global.hxx @ONLY)

SET(FILES_UI 
${CMAKE_CURRENT_SOURCE_DIR}/SavedParametersDialog.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/SavedParametersDialog.h
${CMAKE_CURRENT_SOURCE_DIR}/ProgressHelper.h
${CMAKE_CURRENT_SOURCE_DIR}/LuminanceOptions.h)
SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/archs.h
${CMAKE_CURRENT_SOURCE_DIR}/config.h
${CMAKE_CURRENT_SOURCE_DIR}/msec_timer.h
${CMAKE_CURRENT_SOURCE_DIR}/ResourceHandler.h
${CMAKE_CURRENT_SOURCE_DIR}/ResourceHandlerCommon.h
${CMAKE_CURRENT_SOURCE_DIR}/ResourceHandlerLcms.h
${CMAKE_CURRENT_SOURCE_DIR}/FloatRgbToQRgb.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/SavedParametersDialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/global.cpp
${CMAKE_CURRENT_SOURCE_DIR}/LuminanceOptions.cpp
${CMAKE_CURRENT_SOURCE_DIR}/msec_timer.cpp
${CMAKE_CURRENT_SOURCE_DIR}/ProgressHelper.cpp
${CMAKE_CURRENT_SOURCE_DIR}/FloatRgbToQRgb.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(common ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX} ${FILES_UI_H}
${CMAKE_CURRENT_BINARY_DIR}/global.hxx
${CMAKE_CURRENT_BINARY_DIR}/GitSHA1.cpp)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} ${FILES_HXX} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} common PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} common PARENT_SCOPE)

=== src/Core/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/IOWorker.h
${CMAKE_CURRENT_SOURCE_DIR}/TMWorker.h)
SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingOptions.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/IOWorker.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TMWorker.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingOptions.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
# QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(core ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} core PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} core PARENT_SCOPE)

=== src/Exif/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H )
SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/ExifOperations.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/ExifOperations.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
# QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(exif ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} exif PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} exif PARENT_SCOPE)

=== src/Fileformat/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,20 @@
 #SET(FILES_UI )
 SET(FILES_H
-${CMAKE_CURRENT_SOURCE_DIR}/pfstiff.h)
+${CMAKE_CURRENT_SOURCE_DIR}/pfstiff.h
+${CMAKE_CURRENT_SOURCE_DIR}/jpegreader.h
+${CMAKE_CURRENT_SOURCE_DIR}/jpegwriter.h
+${CMAKE_CURRENT_SOURCE_DIR}/pngwriter.h
+)
+
 SET(FILES_HXX
 ${CMAKE_CURRENT_SOURCE_DIR}/pfs_file_format.h
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsinraw.h
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsout16bitspixmap.h
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.h
+${CMAKE_CURRENT_SOURCE_DIR}/pfsouthdrimage.h
 ${CMAKE_CURRENT_SOURCE_DIR}/rgbeio.h
 )
+
 SET(FILES_CPP
 ${CMAKE_CURRENT_SOURCE_DIR}/rgbeio.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/pfstiff.cpp
@@ -15,9 +22,14 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsinrgbe.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsout16bitspixmap.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/pfsouthdrimage.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsinraw.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsinexr.cpp
-${CMAKE_CURRENT_SOURCE_DIR}/pfsoutexr.cpp)
+${CMAKE_CURRENT_SOURCE_DIR}/pfsoutexr.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/jpegreader.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/jpegwriter.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/pngwriter.cpp
+)
 
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

=== src/Filter/CMakeLists.txt ===
# List all .h files in this directory
FILE(GLOB FILES_H *.h)
# List all .cpp files in this directory
FILE(GLOB FILES_CPP *.cpp)

ADD_LIBRARY(pfsfilter ${FILES_H} ${FILES_CPP})
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} pfsfilter PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} pfsfilter PARENT_SCOPE)

=== src/HdrCreation/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/HdrCreationManager.h)
SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/createhdr.h
${CMAKE_CURRENT_SOURCE_DIR}/debevec.h
${CMAKE_CURRENT_SOURCE_DIR}/responses.h
${CMAKE_CURRENT_SOURCE_DIR}/robertson02.h
${CMAKE_CURRENT_SOURCE_DIR}/mtb_alignment.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/createhdr.cpp
${CMAKE_CURRENT_SOURCE_DIR}/debevec.cpp
${CMAKE_CURRENT_SOURCE_DIR}/responses.cpp
${CMAKE_CURRENT_SOURCE_DIR}/robertson02.cpp
${CMAKE_CURRENT_SOURCE_DIR}/mtb_alignment.cpp
${CMAKE_CURRENT_SOURCE_DIR}/HdrCreationManager.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
# QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(hdrcreation ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} hdrcreation PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} hdrcreation PARENT_SCOPE)

=== src/HdrWizard/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/HdrWizard.ui
${CMAKE_CURRENT_SOURCE_DIR}/EditingTools.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/HdrWizard.h
${CMAKE_CURRENT_SOURCE_DIR}/EditingTools.h
${CMAKE_CURRENT_SOURCE_DIR}/PreviewWidget.h)
SET(FILES_HXX
)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/HdrWizard.cpp
${CMAKE_CURRENT_SOURCE_DIR}/EditingTools.cpp
${CMAKE_CURRENT_SOURCE_DIR}/PreviewWidget.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(hdrwizard ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H} ${FILES_HXX})

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} ${FILES_HXX} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} hdrwizard PARENT_SCOPE)

=== src/HelpBrowser/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/help-path.hxx.in ${CMAKE_CURRENT_BINARY_DIR}/help-path.hxx @ONLY)
+
 SET(FILES_UI
 ${CMAKE_CURRENT_SOURCE_DIR}/HelpBrowser.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/HelpSideBar.ui)

=== debian/changelog ===
luminance-hdr (2.3.0-3build1) saucy; urgency=low

  * No-change rebuild against latest libraw

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 12 Jul 2013 12:47:52 -0400

luminance-hdr (2.3.0-3) unstable; urgency=low

  [ Leonardo Montecchi ]
  * Added dependency on hugin-tools, needed for align_image_stack.
    (LP: #420157)
  * Added manpage for luminance-hdr-cli (created from the output of
    'luminance-hdr-cli -h')

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Jan 2013 11:07:05 +0100

luminance-hdr (2.3.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Nov 2012 09:09:25 +0100

luminance-hdr (2.3.0-1) experimental; urgency=low

  [ Leonardo Montecchi ]
  * New upstream release
  * Dropped patch 30_fix_build_non_x86 which is now in upstream code
  * Modified patch 20_usrsharedoc.diff which did not apply
  * Add build-dependency on libpng-dev.
  * Build-depend on libtiff-dev instead of libtiff4-dev.

  [ Andreas Metzler ]
  * Add build-dependencies on liblcms2-dev and libjpeg-dev. (These are
    already pulled in by libraw-dev and libtiff(4)-dev respectively but are
    directly required by luminance-hdr, too.)
  * Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Jul 2012 10:59:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Andreas Metzler <ametzler@debian.org>,
  Leonardo Montecchi <lmontecchi@montex.org>
 Build-Depends: debhelper (>= 9), libqt4-dev, libexiv2-dev, libfftw3-dev,
- libopenexr-dev, libtiff4-dev, cmake (>= 2.6.0), libqtwebkit-dev, libraw-dev,
- libgsl0-dev
-Standards-Version: 3.9.3
+ libopenexr-dev, libtiff-dev, cmake (>= 2.6.0), libqtwebkit-dev, libraw-dev,
+ libgsl0-dev, libpng-dev, liblcms2-dev, libjpeg-dev
+Standards-Version: 3.9.4
 Homepage: http://qtpfsgui.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=pkg-phototools/luminance-hdr.git
 Vcs-Git: git://git.debian.org/git/pkg-phototools/luminance-hdr.git
 
 Package: luminance-hdr
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dcraw, libqt4-sql-sqlite
+Depends: ${shlibs:Depends}, ${misc:Depends}, dcraw, libqt4-sql-sqlite, hugin-tools
 Description: graphical user interface providing a workflow for HDR imaging
  Features:
   * Create an HDR file from a set of images (formats: JPEG, TIFF 8bit and

=== debian/rules ===
#!/usr/bin/make -f

# Various variables used later on:
NOT_NEEDED  = AUTHORS INSTALL LICENSE README Changelog
DEB_DESTDIR = $(CURDIR)/debian/luminance-hdr
MANPAGE     = debian/luminance-hdr.1

export DEB_BUILD_MAINT_OPTIONS=hardening=+relro,+bindnow
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

override_dh_auto_build:
	# Normal auto_build:
	dh_auto_build --verbose
	# Build the minimal manpage:
	pod2man --center='Minimal luminance-hdr manpage' \
		--release='' \
		debian/luminance-hdr.pod > $(MANPAGE)

override_dh_auto_install:
	dh_auto_install --verbose --destdir=$(DEB_DESTDIR)
	# Remove unneeded files
	for i in $(NOT_NEEDED); do \
		rm -v $(DEB_DESTDIR)/usr/share/doc/luminance-hdr/$$i ; \
	done
	cd "$(DEB_DESTDIR)" && rm -rv usr/share/doc/luminance-hdr/help/js/

%:
	dh $@
